Kea: isc::asiolink::TLSAcceptor< C > Class Template Reference

| Kea 3.0.3-git

isc::asiolink::TLSAcceptor< C > Class Template Reference

Provides a service for accepting new TLS connections. More...

`#include <tls_acceptor.h>`

Inheritance diagram for isc::asiolink::TLSAcceptor< C >:
[legend]

## Public Member Functions
| TLSAcceptor (const IOServicePtr &io_service)
| Constructor.
virtual | ~TLSAcceptor ()
| Destructor.
template<typename SocketCallback>
void | asyncAccept (const TLSSocket< SocketCallback > &socket, C &callback)
| Asynchronously accept new connection.
Public Member Functions inherited from isc::asiolink::TCPAcceptor< C >
| TCPAcceptor (const IOServicePtr &io_service)
| Constructor.
template<typename SocketCallback>
void | asyncAccept (const TCPSocket< SocketCallback > &socket, C &callback)
| Asynchronously accept new connection.
virtual int | getProtocol () const final
| Returns protocol of the socket.
Public Member Functions inherited from isc::asiolink::IOAcceptor< boost::asio::ip::tcp, C >
| IOAcceptor (const IOServicePtr &io_service)
| Constructor.
virtual | ~IOAcceptor ()
| Destructor.
void | bind (const EndpointType &endpoint)
| Binds socket to an endpoint.
void | close () const
| Closes the acceptor.
virtual int | getNative () const
| Returns file descriptor of the underlying socket.
bool | isOpen () const
| Checks if the acceptor is open.
void | listen ()
| Starts listening new connections.
void | open (const EndpointType &endpoint)
| Opens acceptor socket given the endpoint.
void | setOption (const SettableSocketOption &socket_option)
| Sets socket option.
virtual | ~IOSocket ()
| The destructor.

## Additional Inherited Members
Public Types inherited from isc::asiolink::IOSocket
typedef boost::asio::socket_base::reuse_address | ReuseAddress
| Represents SO_REUSEADDR socket option.
static IOSocket & | getDummyUDPSocket ()
| Return a non-usable "dummy" UDP socket for testing.
static IOSocket & | getDummyTCPSocket ()
| Return a non-usable "dummy" TCP socket for testing.
Protected Member Functions inherited from isc::asiolink::IOAcceptor< boost::asio::ip::tcp, C >
void | asyncAcceptInternal (const SocketType &socket, const C &callback)
| Asynchronously accept new connection.
| IOSocket ()
| The default constructor.
Protected Attributes inherited from isc::asiolink::IOAcceptor< boost::asio::ip::tcp, C >
boost::shared_ptr< typename boost::asio::ip::tcp::acceptor > | acceptor_
| Underlying ASIO acceptor implementation.
IOServicePtr | io_service_
| The IO service used to handle events.

## Detailed Description

template<typename C>
class isc::asiolink::TLSAcceptor< C >

Provides a service for accepting new TLS connections.

Template Parameters

  C | Acceptor callback type.

Definition at line 31 of file tls_acceptor.h.

## Constructor & Destructor Documentation

## ◆ TLSAcceptor()

template<typename C>

isc::asiolink::TLSAcceptor< C >::TLSAcceptor | ( | const IOServicePtr & | io_service | ) |
| inlineexplicit

Constructor.

Parameters

  io_service | IO service.

Definition at line 37 of file tls_acceptor.h.

## ◆ ~TLSAcceptor()

template<typename C>

virtual isc::asiolink::TLSAcceptor< C >::~TLSAcceptor | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 41 of file tls_acceptor.h.

## Member Function Documentation

## ◆ asyncAccept()

template<typename C>
template<typename SocketCallback>

void isc::asiolink::TLSAcceptor< C >::asyncAccept | ( | const TLSSocket< SocketCallback > & | socket,
|  | C & | callback )
| inline

Asynchronously accept new connection.

This method accepts new connection into the specified socket. When the new connection arrives or an error occurs the specified callback function is invoked.

Parameters

  socket | Socket into which connection should be accepted.
  callback | Callback function to be invoked when the new connection arrives.

Template Parameters

  SocketCallback | Type of the callback for the TLSSocket.

Definition at line 55 of file tls_acceptor.h.

The documentation for this class was generated from the following file:

- tls_acceptor.h